
Name:       kalarm
Summary:    Application to manage alarms and other timer based alerts for the desktop
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: xsltproc
BuildRequires: cmake 
BuildRequires: lib64boost-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadicontact-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5calendarutils-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5guiaddons-devel 
BuildRequires: lib64kf5holidays-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5identitymanagement-devel 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5mailtransport-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemmodels5 
BuildRequires: lib64kitemmodels-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5x11extras-devel 
BuildRequires: libxcb-devel 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

Requires: akonadi
Requires: akonadi-calendar
Requires: akonadi-import-wizard
Requires: akonadi-calendar-tools
Requires: akonadi-kde

%description
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files
%_kf5_datadir/qlogging-categories5
%_kf5_bindir/kalarm
%_kf5_bindir/kalarmautostart
%_libexecdir/kauth/kalarm_helper
%_kf5_datadir/applications/org.kde.kalarm.desktop

%_kf5_datadir/kalarm
%_kf5_sysconfdir/xdg/autostart/kalarm.autostart.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%_kf5_datadir/config.kcfg/kalarmconfig.kcfg
%_kf5_datadir/kxmlgui5/kalarm
%_iconsdir/*/*/*/kalarm.png
%_kf5_datadir/metainfo/org.kde.kalarm.appdata.xml
%_kf5_datadir/locale
%_kf5_datadir/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%_kf5_datadir/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%_kf5_datadir/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%_kf5_datadir/knotifications5/kalarm.notifyrc

%_kf5_libdir/libkalarmcalendar.so.*
%_kf5_libdir/libkalarmplugin.so.*
%_kf5_libdir/qt5/plugins/pim5/kalarm/akonadiplugin.so
%_kf5_datadir/icons
#------------------------------------------------------------------------------

%package -n kalarm-handbook
Summary: Kalarm handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kalarm-handbook
This package provides kalarm handbook.

%files -n kalarm-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --add-only-show-in=KDE \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Sat Dec 09 2023 tex - 23.08.4-1pclos2023
- new version

